If you have lessc locally, this will stop happening. Make sure you can run that 
on the command line. I don't know if lessjs is something else or not.

The final 1.7 release doesn't use bless anymore, so it'll require lessc for 
packaging.

Christian


On Dec 12, 2012, at 11:41 AM, Matthew Woehlke <mwoehlke.fl...@gmail.com> wrote:

> On 2012-12-07 22:56, Christian Hammond wrote:
>> Hi Derek,
>> 
>> 1.7 RC makes use of a local lessc compiler.
> 
> I'm getting an error (see below) trying to build 1.7RC1... I'm guessing this 
> is the same problem (I am also trying to roll a Fedora package for testing 
> purposes).
> 
> I'd really like to be able to roll a package in order to test if the UI 
> issues I've seen are fixed. Is there any way to get past this? (I have lessjs 
> installed...)
> 
> 
> Build output:
> 
> Traceback (most recent call last):
>  File "./contrib/internal/build-media.py", line 19, in <module>
>    ret = call_command('collectstatic', interactive=False, verbosity=2)
>  File "/usr/lib/python2.7/site-packages/django/core/management/__init__.py", 
> line 150, in call_command
>    return klass.execute(*args, **defaults)
>  File "/usr/lib/python2.7/site-packages/django/core/management/base.py", line 
> 232, in execute
>    output = self.handle(*args, **options)
>  File "/usr/lib/python2.7/site-packages/django/core/management/base.py", line 
> 371, in handle
>    return self.handle_noargs(**options)
>  File 
> "/usr/lib/python2.7/site-packages/django/contrib/staticfiles/management/commands/collectstatic.py",
>  line 163, in handle_noargs
>    collected = self.collect()
>  File 
> "/usr/lib/python2.7/site-packages/django/contrib/staticfiles/management/commands/collectstatic.py",
>  line 119, in collect
>    dry_run=self.dry_run)
>  File "/usr/lib/python2.7/site-packages/pipeline/storage.py", line 30, in 
> post_process
>    packager.pack_stylesheets(package)
>  File "/usr/lib/python2.7/site-packages/pipeline/packager.py", line 90, in 
> pack_stylesheets
>    variant=package.variant, **kwargs)
>  File "/usr/lib/python2.7/site-packages/pipeline/packager.py", line 99, in 
> pack
>    paths = self.compile(package.paths, force=True)
>  File "/usr/lib/python2.7/site-packages/pipeline/packager.py", line 93, in 
> compile
>    return self.compiler.compile(paths, force=force)
>  File "/usr/lib/python2.7/site-packages/pipeline/compilers/__init__.py", line 
> 41, in compile
>    compiler.compile_file(infile, outfile, outdated=outdated, force=force)
>  File "/usr/lib/python2.7/site-packages/djblets/pipeline/compilers/bless.py", 
> line 67, in compile_file
>    content = urllib2.urlopen(r).read()
>  File "/usr/lib64/python2.7/urllib2.py", line 126, in urlopen
>    return _opener.open(url, data, timeout)
>  File "/usr/lib64/python2.7/urllib2.py", line 406, in open
>    response = meth(req, response)
>  File "/usr/lib64/python2.7/urllib2.py", line 519, in http_response
>    'http', request, response, code, msg, hdrs)
>  File "/usr/lib64/python2.7/urllib2.py", line 444, in error
>    return self._call_chain(*args)
>  File "/usr/lib64/python2.7/urllib2.py", line 378, in _call_chain
>    result = func(*args)
>  File "/usr/lib64/python2.7/urllib2.py", line 527, in http_error_default
>    raise HTTPError(req.get_full_url(), code, msg, hdrs, fp)
> urllib2.HTTPError: HTTP Error 404: Not Found
> Traceback (most recent call last):
>  File "setup.py", line 183, in <module>
>    "Topic :: Software Development :: Quality Assurance",
>  File "/usr/lib64/python2.7/distutils/core.py", line 152, in setup
>    dist.run_commands()
>  File "/usr/lib64/python2.7/distutils/dist.py", line 953, in run_commands
>    self.run_command(cmd)
>  File "/usr/lib64/python2.7/distutils/dist.py", line 972, in run_command
>    cmd_obj.run()
>  File "/usr/lib/python2.7/site-packages/setuptools/command/install.py", line 
> 53, in run
>    return _install.run(self)
>  File "/usr/lib64/python2.7/distutils/command/install.py", line 575, in run
>    self.run_command(cmd_name)
>  File "/usr/lib64/python2.7/distutils/cmd.py", line 326, in run_command
>    self.distribution.run_command(command)
>  File "/usr/lib64/python2.7/distutils/dist.py", line 972, in run_command
>    cmd_obj.run()
>  File 
> "/usr/lib/python2.7/site-packages/setuptools/command/install_egg_info.py", 
> line 29, in run
>    self.run_command('egg_info')
>  File "/usr/lib64/python2.7/distutils/cmd.py", line 326, in run_command
>    self.distribution.run_command(command)
>  File "/usr/lib64/python2.7/distutils/dist.py", line 972, in run_command
>    cmd_obj.run()
>  File "setup.py", line 63, in run
>    self.run_command('build_media')
>  File "/usr/lib64/python2.7/distutils/cmd.py", line 326, in run_command
>    self.distribution.run_command(command)
>  File "/usr/lib64/python2.7/distutils/dist.py", line 972, in run_command
>    cmd_obj.run()
>  File "setup.py", line 81, in run
>    raise RuntimeError('Failed to build media files')
> RuntimeError: Failed to build media files
> 
> -- 
> Matthew
> 
> -- 
> Want to help the Review Board project? Donate today at 
> http://www.reviewboard.org/donate/
> Happy user? Let us know at http://www.reviewboard.org/users/
> -~----------~----~----~----~------~----~------~--~---
> To unsubscribe from this group, send email to 
> reviewboard+unsubscr...@googlegroups.com
> For more options, visit this group at 
> http://groups.google.com/group/reviewboard?hl=en
> 
> 

-- 
Want to help the Review Board project? Donate today at 
http://www.reviewboard.org/donate/
Happy user? Let us know at http://www.reviewboard.org/users/
-~----------~----~----~----~------~----~------~--~---
To unsubscribe from this group, send email to 
reviewboard+unsubscr...@googlegroups.com
For more options, visit this group at 
http://groups.google.com/group/reviewboard?hl=en


Reply via email to